Skip to main content
GET
/
payouts
/
settlements
List settlements
curl --request GET \
  --url https://api.billing.io/v1/payouts/settlements \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "org_id": "<string>",
      "payout_intent_id": "<string>",
      "tx_hash": "<string>",
      "log_index": 123,
      "from_address": "<string>",
      "to_address": "<string>",
      "amount_atomic": "<string>",
      "block_number": 123,
      "block_hash": "<string>",
      "confirmations": 123,
      "confirmed_at": "2023-11-07T05:31:56Z",
      "detected_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}
List on-chain settlement records. Filter by payout intent or chain.
curl "https://api.billing.io/v1/payouts/settlements?payout_intent_id=po_a1b2c3d4e5f6" \
  -H "Authorization: Bearer $BILLING_API_KEY"

Authorizations

Authorization
string
header
required

Use your secret API key as a Bearer token. Keys are prefixed: sk_live_ (production) or sk_test_ (sandbox).

Query Parameters

cursor
string

Opaque cursor for pagination. Omit for the first page.

limit
integer
default:25

Number of items per page.

Required range: 1 <= x <= 100
payout_intent_id
string

Filter by payout intent identifier

chain
enum<string>

Blockchain network

Available options:
tron,
arbitrum,
base

Response

Settlement list

data
object[]
has_more
boolean
next_cursor
string | null